# dictionary-mn

Mongolian (Mongolia) spelling dictionary in UTF-8.

Useful with [hunspell][hunspell] ([node bindings][nodehun] or
[plain javascript][nspell]), Open Office, LibreOffice, FireFox and
Thunderbird, or [place them in `~/Library/Spelling`][osx] on OS X.

Generated by [**wooorm/dictionaries**][dictionaries], from [this
dictionary][source].

## Installation

[npm][npm]:

```bash
npm install dictionary-mn
```

## Usage

```js
var mn = require('dictionary-mn');

mn(function (err, result) {
  console.log(err || result);
});
```

Yields:

```js
{ dic: <Buffer>,
  aff: <Buffer> }
```

Where `dic` is a buffer for the dictionary file at `index.dic` (in UTF-8), and
`aff` is a buffer for the affix file at `index.aff` (in UTF-8).

Or directly load the files, using something like:

```js
var path = require('path');
var base = require.resolve('dictionary-mn');

// NEVER USE `readFileSync` IN PRODUCTION.
fs.readFileSync(path.join(base, 'index.dic'), 'utf-8');
fs.readFileSync(path.join(base, 'index.aff'), 'utf-8');
```

## License

Dictionary and affix file: [GPL-2.0](https://github.com/wooorm/dictionaries/blob/master/dictionaries/mn_MN/LICENSE).
Rest: MIT © [Titus Wormer][home].

[hunspell]: http://hunspell.sourceforge.net

[nodehun]: https://github.com/nathanjsweet/nodehun

[nspell]: https://github.com/wooorm/nspell

[osx]: https://github.com/wooorm/dictionaries#os-x

[source]: http://extensions.openoffice.org/en/project/mongol-helniy-ugiyn-aldaa-shalgagch-ueer-taslagch-mongolian-spelling-and-hyphenation

[npm]: https://docs.npmjs.com/cli/install

[dictionaries]: https://github.com/wooorm/dictionaries

[home]: https://wooorm.com
